跳至內容
ShopentlyLearn

更新 · 狀態 — 退貨、投訴與換貨

個別或批次變更申請狀態。

PATCH/api/v1/requests/{request_id}/status

cURL 請求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/requests/example/status \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-change_request_status_api_v1_requests__request_id__status_patch' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":1,"status_id":"example"}'

回應

{
  "data": {
    "deleted": false,
    "id": "example",
    "version": 1
  },
  "meta": {
    "request_id": "example"
  }
}

所需權限

身份驗證
存取權杖
最低方案
BASIC
金鑰權限
管理申請returns.request:update